CREATE TABLE hey_loader_rule_parameter_tl (
    LOAD_RULE_PARAMETER_ID    NUMBER(18, 0) ,
    LANGUAGE                  VARCHAR2(16)  ,
    SOURCE_LANG               VARCHAR2(16)      NOT NULL,
    PARAMETER_NAME            VARCHAR2(200)     NOT NULL,
    PARAMETER_DESCRIPTION     VARCHAR2(4000),
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    LOAD_RULE_PARAMETER_ID    NUMBER(18, 0) ,
    LANGUAGE                  VARCHAR2(16)  ,
    SOURCE_LANG               VARCHAR2(16)      NOT NULL,
    PARAMETER_NAME            VARCHAR2(200)     NOT NULL,
    PARAMETER_DESCRIPTION     VARCHAR2(4000),
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hey_loader_rule_parameter_tl PRIMARY KEY (LOAD_RULE_PARAMETER_ID, LANGUAGE, LOAD_RULE_PARAMETER_ID, LANGUAGE)
);
